/*  tds200mt
 *  Copyright (C) 1999 Alvaro De Amicis
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <gtk/gtk.h>
#include <stdlib.h>


gboolean
closeprogram (GtkWidget *widget,
			   GdkEvent *event,
			   gpointer udata);

gboolean
closedisplay (GtkWidget *widget,
			   GdkEvent *event,
			   gpointer udata);

void
endprogram (GtkObject *object,
			 gpointer udata);

void
mdisplay (GtkObject *object,
			 gpointer udata);

void
on_open_activate (GtkMenuItem *menuitem,
				  gpointer udata);

void
on_save_activate (GtkMenuItem *menuitem,
				  gpointer udata);

void
on_saveas_activate (GtkMenuItem *menuitem,
					 gpointer udata);

void
on_print_activate (GtkMenuItem *menuitem,
				   gpointer udata);

void
on_quit_activate (GtkMenuItem *menuitem,
				  gpointer udata);

void
on_sendw_activate (GtkMenuItem *menuitem,
				  gpointer udata);

void
on_receivew_activate (GtkMenuItem *menuitem,
					 gpointer udata);

void
on_sendsett_activate (GtkMenuItem *menuitem,
						   gpointer udata);

void
on_receivesett_activate (GtkMenuItem *menuitem,
							  gpointer udata);

void
on_graphics_activate (GtkMenuItem *menuitem,
					  gpointer udata);

void
on_commport_activate (GtkMenuItem *menuitem,
					   gpointer udata);

void
on_about_activate (GtkMenuItem *menuitem,
				   gpointer udata);

gboolean
close_display (GtkWidget *widget,
			   GdkEvent *event,
			   gpointer udata);

void
on_openokb_clicked (GtkButton *button,
					GtkWidget *udata);

void
on_saveasokb_clicked (GtkButton *button,
					 GtkWidget *udata);

void
on_savesetokb_clicked (GtkButton *button,
					  GtkWidget *udata);

void
on_sendsetokb_clicked (GtkButton *button,
					  GtkWidget *udata);

void
on_sfcb_clicked (GtkButton *button,
				 gpointer udata);

void
on_rwch1rb_toggled (GtkToggleButton *togglebutton,
					DialogDataL *dd);

void
on_rwch2rb_toggled (GtkToggleButton *togglebutton,
					DialogDataL *dd);

void
on_rwrefarb_toggled (GtkToggleButton *togglebutton,
								DialogDataL *dd);

void
on_rwrefbrb_toggled (GtkToggleButton *togglebutton,
								DialogDataL *dd);

void
on_rwmathrb_toggled (GtkToggleButton *togglebutton,
								DialogDataL *dd);

void
on_rwreceiveb_clicked (GtkButton *button,
							  DialogDataL *dd);

void
on_rwcancb_clicked (GtkButton *button,
							 DialogDataL *dd);

void
on_swrefarb_toggled (GtkToggleButton *togglebutton,
								DialogDataL *dd);

void
on_swrefbrb_toggled (GtkToggleButton *togglebutton,
								DialogDataL *dd);

void
on_swsendb_clicked (GtkButton *button,
							DialogDataL *dd);

void
on_swcancb_clicked (GtkButton *button,
							 DialogDataL *dd);

void
on_cp96rb_toggled (GtkToggleButton *togglebutton,
								DialogData *dd);

void
on_cp192rb_toggled (GtkToggleButton *togglebutton,
								 DialogData *dd);

void
on_cp24rb_toggled (GtkToggleButton *togglebutton,
								DialogData *dd);

void
on_cp48rb_toggled (GtkToggleButton *togglebutton,
								DialogData *dd);

void
on_cp6rb_toggled (GtkToggleButton *togglebutton,
								DialogData *dd);

void
on_cp12rb_toggled (GtkToggleButton *togglebutton,
								DialogData *dd);

void
on_cpctsrtsrb_toggled (GtkToggleButton *togglebutton,
								  DialogData *dd);

void
on_cpxonxoffrb_toggled (GtkToggleButton *togglebutton,
									DialogData *dd);

void
on_cpnoflowrb_toggled (GtkToggleButton *togglebutton,
									DialogData *dd);

void
on_cpentry_activate (GtkEditable *entry,
					  DialogData  *dd);

void
on_cpokb_clicked (GtkButton  *button,
						 DialogData *dd);

void
on_cpcancb_clicked (GtkButton *button,
							 gpointer udata);

void
on_go_bg_chkbutton_toggled (GtkToggleButton *togglebutton,
							DialogData *dd);

void
on_go_mult_chkbutton_toggled (GtkToggleButton *togglebutton,
							  DialogData *dd);

void
on_go_grid_none_rbutton_toggled (GtkToggleButton *togglebutton,
								 DialogData *dd);

void
on_go_grid_half_rbutton_toggled (GtkToggleButton *togglebutton,
								 DialogData *dd);

void
on_go_grid_full_rbutton_toggled (GtkToggleButton *togglebutton,
								 DialogData *dd);

void
on_go_ok_button_clicked (GtkButton *button,
						 DialogData *dd);

void
on_go_cancel_button_clicked (GtkButton *button,
							 gpointer udata);

gboolean
on_dwgarea_configure_event (GtkWidget *widget,
							GdkEventConfigure *event);

gboolean
on_dwgarea_expose_event (GtkWidget *widget,
						 GdkEventExpose *event);
